# Generated by Django 3.0.8 on 2021-03-21 17:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='InterludesActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Titre')),
                ('status', models.CharField(choices=[('P', 'En présentiel uniquement'), ('D', 'En distanciel uniquement'), ('2', 'Les deux')], max_length=1, verbose_name='Présentiel/distanciel')),
                ('act_type', models.CharField(choices=[('Tournoi', 'Tournoi'), ('partie', 'Une partie'), ('parties', 'Quelques parties'), ('freeplay', 'Freeplay'), ('jeu cartes', 'Jeu de cartes'), ('jeu plateau', 'Jeu de société'), ('table RPG', 'Jeu de rôle sur table'), ('large RPG', 'Jeu de rôle grandeur nature'), ('videogame', 'Jeu vidéo'), ('partygame', 'Party game'), ('puzzle', 'Puzzle ou analogue'), ('secret roles', 'Jeu à rôles secrets'), ('coop', 'Jeu coopératif'), ('other', 'Autre')], max_length=12, verbose_name='Type')),
                ('duration', models.DurationField(help_text='format hh:mm:ss', verbose_name='Durée')),
                ('max_participants', models.PositiveIntegerField(help_text='0 pour illimité', verbose_name='Nombre maximum de participants')),
                ('min_participants', models.PositiveIntegerField(verbose_name='Nombre minimum de participants')),
                ('communicate_participants', models.BooleanField(verbose_name="communiquer la liste des participants à l'orga avant l'événement")),
                ('display', models.BooleanField(default=False, verbose_name="afficher dans la liste d'activités")),
                ('must_subscribe', models.BooleanField(default=False, help_text="Une activité doit être affichée dans la liste également pour que l'on puisse si inscrire", verbose_name='sur inscription')),
                ('host_name', models.CharField(max_length=50, verbose_name="nom de l'organisateur")),
                ('host_email', models.EmailField(max_length=254, verbose_name="email de l'organisateur")),
                ('description', models.TextField(max_length=2000, verbose_name='description')),
                ('on_planning', models.BooleanField(default=False, help_text='Nécessite de salle et heure de début non vide', verbose_name='afficher sur le planning')),
                ('start', models.DateTimeField(blank=True, null=True, verbose_name='début')),
                ('room', models.CharField(blank=True, max_length=100, null=True, verbose_name='salle')),
                ('notes', models.TextField(blank=True, max_length=2000, verbose_name='Notes privées')),
            ],
            options={
                'verbose_name': 'activité',
            },
        ),
        migrations.CreateModel(
            name='InterludesParticipant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('school', models.CharField(choices=[('U', 'ENS Ulm'), ('L', 'ENS Lyon'), ('R', 'ENS Rennes'), ('C', 'ENS Paris Saclay')], max_length=1, verbose_name='ENS de rattachement')),
                ('is_registered', models.BooleanField(default=False, verbose_name='est inscrit')),
                ('meal_friday_evening', models.BooleanField(default=False, verbose_name='repas de vendredi soir')),
                ('meal_saturday_morning', models.BooleanField(default=False, verbose_name='repas de samedi matin')),
                ('meal_saturday_midday', models.BooleanField(default=False, verbose_name='repas de samedi midi')),
                ('meal_saturday_evening', models.BooleanField(default=False, verbose_name='repas de samedi soir')),
                ('meal_sunday_morning', models.BooleanField(default=False, verbose_name='repas de dimanche matin')),
                ('meal_sunday_midday', models.BooleanField(default=False, verbose_name='repas de dimanche soir')),
                ('sleeps', models.BooleanField(default=False, verbose_name='dormir sur place')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='Utilisateur', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'participant',
            },
        ),
        migrations.CreateModel(
            name='ActivityList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('priority', models.PositiveIntegerField(verbose_name='priorité')),
                ('accepted', models.BooleanField(default=False, verbose_name='Obtenue')),
                ('activity', models.ForeignKey(db_column='activité', on_delete=django.db.models.deletion.CASCADE, to='home.InterludesActivity')),
                ('participant', models.ForeignKey(db_column='participant', on_delete=django.db.models.deletion.CASCADE, to='home.InterludesParticipant')),
            ],
            options={
                'verbose_name': "choix d'activités",
                'verbose_name_plural': "choix d'activités",
                'ordering': ('participant', 'priority'),
                'unique_together': {('participant', 'activity'), ('priority', 'participant')},
            },
        ),
    ]
